import { z } from 'zod';

export const AddCardSchema = z.object({
  customerId: z.number().describe('Unique customer identifier'),
  loyaltyCardValues: z
    .object({
      cardCode: z.string().describe('Unique card code identifier'),
    })
    .describe('Loyalty card values'),
});

export type AddCard = z.infer<typeof AddCardSchema>;
export type AddCardInput = z.input<typeof AddCardSchema>;
